org.apache.poi.sl.usermodel

## Enum PaintStyle.TextureAlignment

- java.lang.Object
- - java.lang.Enum<PaintStyle.TextureAlignment>
  - - org.apache.poi.sl.usermodel.PaintStyle.TextureAlignment

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PaintStyle.TextureAlignment>
  Enclosing interface:
    PaintStyle

      public static enum PaintStyle.TextureAlignment
      extends java.lang.Enum<PaintStyle.TextureAlignment>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM`
    `BOTTOM_LEFT`
    `BOTTOM_RIGHT`
    `CENTER`
    `LEFT`
    `RIGHT`
    `TOP`
    `TOP_LEFT`
    `TOP_RIGHT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PaintStyle.TextureAlignment` | `fromOoxmlId(java.lang.String ooxmlId)`
    `static PaintStyle.TextureAlignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PaintStyle.TextureAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOTTOM

          public static final PaintStyle.TextureAlignment BOTTOM

    - #### BOTTOM_LEFT

          public static final PaintStyle.TextureAlignment BOTTOM_LEFT

    - #### BOTTOM_RIGHT

          public static final PaintStyle.TextureAlignment BOTTOM_RIGHT

    - #### CENTER

          public static final PaintStyle.TextureAlignment CENTER

    - #### LEFT

          public static final PaintStyle.TextureAlignment LEFT

    - #### RIGHT

          public static final PaintStyle.TextureAlignment RIGHT

    - #### TOP

          public static final PaintStyle.TextureAlignment TOP

    - #### TOP_LEFT

          public static final PaintStyle.TextureAlignment TOP_LEFT

    - #### TOP_RIGHT

          public static final PaintStyle.TextureAlignment TOP_RIGHT

  - ### Method Detail

    - #### values

          public static PaintStyle.TextureAlignment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PaintStyle.TextureAlignment c : PaintStyle.TextureAlignment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PaintStyle.TextureAlignment valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromOoxmlId

          public static PaintStyle.TextureAlignment fromOoxmlId(java.lang.String ooxmlId)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.